Bug 17556 - Location of shared library is wrong.
Summary: Location of shared library is wrong.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: db3   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-16 02:10 UTC by Red Hat Bugzilla
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-16 02:10:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Red Hat Bugzilla 2000-09-16 02:10:51 UTC
The GNU linker use the firt match, shared and then static, in the
directory it searches for -lfoo. That means the shared and static
libraries for the linker have to be in the same directory. But for
db3, it has

/usr/lib/libdb-3.1.a
/usr/lib/libdb-3.1.la

in db3-devel and

/lib/libdb-3.1.so

in db3. For gcc 2.96,

# gcc .... -ldb-3.1

will pickup /usr/lib/libdb-3.1.a as

/usr/lib/gcc-lib/i386-redhat-linux/2.96/../../../libdb-3.1.a

since

/usr/lib/gcc-lib/i386-redhat-linux/2.96/../../..

is searched before /lib. There are many shared libraries like that under
/lib. They all should be fixed.

Comment 1 Red Hat Bugzilla 2000-10-09 19:51:58 UTC
Fixed by adding
	ln -s ../../lib/libdb-3.1.so /usr/lib/libdb-3.1.so
add not editing the "libdir='...'" line in libdb-3.1.la


Note You need to log in before you can comment on or make changes to this bug.